close all
clear all
clc
load resultados_direccionales

%figure;
[DE0_x,DE0_y,EE0_x,EE0_y]=difusion_DE_funcion(salida0)
%figure;
[DE1_x,DE1_y,EE1_x,EE1_y]=difusion_DE_funcion(salida1)
%figure;
[DE2_x,DE2_y,EE2_x,EE2_y]=difusion_DE_funcion(salida2)

ter_octavas=[100,125,160,200,250,315,400,500,630,800,1000,1250,1600,2000,2500,3150,4000,5000];
%%

CEE0_x=1-abs(DE0_x-EE0_x)./(DE0_x);
CEE0_y=1-abs(DE0_y-EE0_y)./(DE0_y);

CEE1_x=1-abs(DE1_x-EE1_x)./(DE1_x);
CEE1_y=1-abs(DE1_y-EE1_y)./(DE1_y);

CEE2_x=1-abs(DE2_x-EE2_x)./(DE2_x);
CEE2_y=1-abs(DE2_y-EE2_y)./(DE2_y);


CEE0=(CEE0_x+CEE0_y)/2;
CEE1=(CEE1_x+CEE1_y)/2;
CEE2=(CEE2_x+CEE2_y)/2;

figure;semilogx(ter_octavas,mean(CEE0_x'),'r',ter_octavas,mean(CEE1_x'),'g',ter_octavas,mean(CEE2_x'),'b','LineWidth',2)


title('Eficiencia energética x')
xlabel('Frecuencia')
ylabel('CEE')
legend('Sin difusor','Difusor 1','Difusor 2')

figure;semilogx(ter_octavas,mean(CEE0_y'),'r',ter_octavas,mean(CEE1_y'),'g',ter_octavas,mean(CEE2_y'),'b','LineWidth',2)


title('Eficiencia energética y')
xlabel('Frecuencia')
ylabel('CEE')
legend('Sin difusor','Difusor 1','Difusor 2')

figure;semilogx(ter_octavas,mean(CEE0'),'r',ter_octavas,mean(CEE1'),'g',ter_octavas,mean(CEE2'),'b','LineWidth',2)


title('Eficiencia energética')
xlabel('Frecuencia')
ylabel('CEE')
legend('Sin difusor','Difusor 1','Difusor 2')


% 
% %Dibuja una linea horizontal de referencia en el plot a 0,5
% for ii=1:2;figure(ii);
%     hold on
%     semilogx([100 5000],[.5 .5],'k')
%     axis([100 5000 0 2])
% end
%escritura de resultados en EXCEL
xlswrite('Resultados.xlsx',CEE0_x,'CEE');
xlswrite('Resultados.xlsx',CEE0_y,'CEE','A20');
xlswrite('Resultados.xlsx',CEE1_x,'CEE','I1');
xlswrite('Resultados.xlsx',CEE1_y,'CEE','I20');
xlswrite('Resultados.xlsx',CEE2_x,'CEE','Q1');
xlswrite('Resultados.xlsx',CEE2_y,'CEE','Q20');
xlswrite('Resultados.xlsx',CEE0,'CEE','A41');
xlswrite('Resultados.xlsx',CEE1,'CEE','I41');
xlswrite('Resultados.xlsx',CEE2,'CEE','Q41');



